classification
Title: SSLv3 test failure on Ubuntu 16.04 LTS
Type: Stage: patch review
Components: Tests Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: test_ssl test_options fails on ubuntu 16.04
View: 26867
Assigned To: Nosy List: alex, christian.heimes, dstufft, giampaolo.rodola, janssen, martin.panter, mdeslaur, pitrou, xiang.zhang
Priority: normal Keywords: patch

Created on 2015-11-24 15:44 by mdeslaur, last changed 2016-06-17 04:15 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
fix-sslv3-test.diff mdeslaur, 2015-11-24 15:44
Messages (5)
msg255274 - (view) Author: Marc Deslauriers (mdeslaur) * Date: 2015-11-24 15:44
In order to disable SSLv3 in OpenSSL without breaking ABI, Ubuntu 16.04 LTS will ship with OP_NO_SSLv3 forced on by default.

This is causing the test_ssl.py test to fail.
Attached is a patch to fix the issue.
msg258470 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2016-01-17 14:32
From a procedural point of view, I think it would be reasonable to wait for the 16.04 release (or at least feature freeze), in case there are other breakages pending.
msg258785 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-01-22 02:49
This sounds like a Ubuntu-specific hack. Maybe it would be better to adjust the @skip_if_broken_ubuntu_ssl decorator?

Also, according to Issue 25530, Python 3.4+ and 2.7 set OP_NO_SSLv3 by default, and according to Issue 23845, maybe some versions of Open SSL do too. But in these cases it is still configurable.
msg264873 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-05-05 02:43
Ubuntu 16.04 has came out and test_ssl fails. I already opened a issue about it. See issue26867.
msg268705 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-06-17 04:15
This patch was also posted to Issue 26867, with a bit more discussion and analysis, so closing as a duplicate.
History
Date User Action Args
2016-06-17 04:15:02martin.pantersetstatus: open -> closed
superseder: test_ssl test_options fails on ubuntu 16.04
resolution: duplicate
messages: + msg268705
2016-05-05 02:43:27xiang.zhangsetnosy: + xiang.zhang
messages: + msg264873
2016-01-22 02:49:38martin.pantersetnosy: + martin.panter
messages: + msg258785
2016-01-21 21:52:01martin.panterlinkissue25613 superseder
2016-01-17 14:32:24pitrousetmessages: + msg258470
versions: + Python 2.7
2016-01-17 14:28:34SilentGhostsetnosy: + janssen, pitrou, giampaolo.rodola, christian.heimes, alex, dstufft
stage: patch review

versions: + Python 3.6
2015-11-24 15:44:59mdeslaurcreate